petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSpaceTensorSetNumSubspaces

Set the number of spaces in the tensor product

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceTensorSetNumSubspaces(PetscSpace sp, PetscInt numTensSpaces)

### Input Parameters

| sp | - the function space object
| numTensSpaces | - the number of spaces

### See Also

PetscSpaceTensorGetNumSubspaces(), PetscSpaceSetDegree(), PetscSpaceSetNumVariables()

### Level

intermediate

### Location

src/dm/dt/space/impls/tensor/spacetensor.c

### Implementations

PetscSpaceTensorSetNumSubspaces_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages